package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 *  螺纹检验自检记录实体类
 * @author Administrator
 *
 */
public class ThreadInspectSelfCheck implements Serializable{
	/** VersionUID */
    private static final long serialVersionUID = 1L;
    /** 序列号 */
    private String seqNo;
    /** 锥度 */
    private String taper;
    /** 螺距 */
    private String lead;
    /** 齿高 */
    private String height;
    /** 紧密距 */
    private String pdiameterOvality;
    /** L4/断扣 */
    private String brokenThread;
    /** AL */
    private String al;
    /** 尾扣 */
    private String runOut;
    /** 倒角 */
    private String chamfer;
    /** 牙型 */
    private String threadForm;
    /** 判定 */
    private String result;
    /** 计划号 */
    private String planNo;
	public String getSeqNo() {
		return seqNo;
	}
	public void setSeqNo(String seqNo) {
		this.seqNo = seqNo;
	}
	public String getTaper() {
		return taper;
	}
	public void setTaper(String taper) {
		this.taper = taper;
	}
	public String getLead() {
		return lead;
	}
	public void setLead(String lead) {
		this.lead = lead;
	}
	public String getHeight() {
		return height;
	}
	public void setHeight(String height) {
		this.height = height;
	}
	public String getPdiameterOvality() {
		return pdiameterOvality;
	}
	public void setPdiameterOvality(String pdiameterOvality) {
		this.pdiameterOvality = pdiameterOvality;
	}
	public String getBrokenThread() {
		return brokenThread;
	}
	public void setBrokenThread(String brokenThread) {
		this.brokenThread = brokenThread;
	}
	public String getAl() {
		return al;
	}
	public void setAl(String al) {
		this.al = al;
	}
	public String getRunOut() {
		return runOut;
	}
	public void setRunOut(String runOut) {
		this.runOut = runOut;
	}
	public String getChamfer() {
		return chamfer;
	}
	public void setChamfer(String chamfer) {
		this.chamfer = chamfer;
	}
	public String getThreadForm() {
		return threadForm;
	}
	public void setThreadForm(String threadForm) {
		this.threadForm = threadForm;
	}
	public String getResult() {
		return result;
	}
	public void setResult(String result) {
		this.result = result;
	}
	public String getPlanNo() {
		return planNo;
	}
	public void setPlanNo(String planNo) {
		this.planNo = planNo;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
    
}
